%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate kstring

Name:           rust-kstring
Version:        2.0.0
Release:    1%{?dist}
Summary:        Key String: optimized for map keys

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/kstring
Source0:         %{crates_source}
Patch:          kstring-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Key String: optimized for map keys.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arc-devel %{_description}

This package contains library source intended for building other packages which
use the "arc" feature of the "%{crate}" crate.

%files       -n %{name}+arc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_inline-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_inline-devel %{_description}

This package contains library source intended for building other packages which
use the "max_inline" feature of the "%{crate}" crate.

%files       -n %{name}+max_inline-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsafe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsafe-devel %{_description}

This package contains library source intended for building other packages which
use the "unsafe" feature of the "%{crate}" crate.

%files       -n %{name}+unsafe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable_bench_subset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable_bench_subset-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable_bench_subset" feature of the "%{crate}" crate.

%files       -n %{name}+unstable_bench_subset-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
